{
  lib,
  config,
  pkgs,
  ...
}:
let
  cfg = config.krop.hm.desktop.plasma;
in
{
  options.krop.hm.desktop.plasma = {
    enable = lib.mkOption {
      type = lib.types.bool;
      default = false;
      example = true;
      description = "Enable my plasma configuration";
    };
  };
  config = lib.mkIf cfg.enable {
    programs.plasma = {
      enable = true;
      workspace = {
        theme = "breeze-dark";
        lookAndFeel = "org.kde.breezedark.desktop";
        wallpaper = "${./assets/nyan_cat.jpg}";
      };
    };
  };
}
