{
  lib,
  config,
  pkgs,
  ...
}:
let
  cfg = config.krop.hm.packages.development;
in
{
  options.krop.hm.packages.development = {
    enable = lib.mkOption {
      type = lib.types.bool;
      default = true;
      example = false;
      description = "Enable my development configuration";
    };
  };
  config = lib.mkIf cfg.enable {
    home.packages = with pkgs; [
      gh
      d2
      iperf
      rustc
      cargo
      clippy
      clang
      distrobox
      dive
    ];
    programs.go = {
      enable = true;
      goPath = "Repositories/go";
    };
    home.file.distrobox-cfg = {
      text = ''
        container_manager="podman"
        container_additional_volumes="/nix/store:/nix/store:ro /etc/profiles/per-user:/etc/profiles/per-user:ro /etc/static/profiles/per-user/:/etc/static/profiles/per-user/:ro"
      '';
      target = ".config/distrobox/distrobox.conf";
    };

  };
}
