{
  lib,
  config,
  pkgs,
  ...
}:
let
  cfg = config.krop.hm.packages.octave;
in
{
  options.krop.hm.packages.octave = {
    enable = lib.mkOption {
      type = lib.types.bool;
      default = true;
      example = false;
      description = "Enable my octave configuration";
    };
  };
  config = lib.mkIf cfg.enable {
    home.packages = with pkgs; [
      ghostscript
      (octaveFull.withPackages (
        ps: with ps; [
          octavePackages.signal
        ]
      ))
    ];
  };
}
