{
  lib,
  config,
  pkgs,
  ...
}:
let
  cfg = config.krop.hm.programs.alacritty;
in
{
  options.krop.hm.programs.alacritty = {
    enable = lib.mkOption {
      type = lib.types.bool;
      default = true;
      example = false;
      description = "Enable my alacritty configuration";
    };
  };
  config = lib.mkIf cfg.enable {
    home.packages = with pkgs; [ alacritty-theme ];
    programs.alacritty = {
      enable = true;
      settings = {
        general = {
          import = [ "${pkgs.alacritty-theme}/gnome_terminal.toml" ];
        };
        font = {
          size = 16;
        };
      };
    };
  };
}
