{
  lib,
  config,
  pkgs,
  ...
}:
let
  cfg = config.krop.hm.programs.libreoffice;
  krop_cfg = config.krop.hm;
in
{
  options.krop.hm.programs.libreoffice = {
    enable = lib.mkOption {
      type = lib.types.bool;
      default = true;
      example = false;
      description = "Enable my libreoffice configuration";
    };
  };
  config = lib.mkIf cfg.enable {
    home.packages =
      with pkgs;
      [
        libreoffice-qt
        hunspell
        hunspellDicts.cs_CZ
      ]
      ++ [ (if krop_cfg.desktop.plasma.enable then libreoffice-qt6-fresh else libreoffice-fresh) ];
  };
}
