{
  lib,
  config,
  ...
}:
let
  cfg = config.krop.hm.programs.micro;
in
{
  options.krop.hm.programs.micro = {
    enable = lib.mkOption {
      type = lib.types.bool;
      default = true;
      example = false;
      description = "Enable my micro configuration";
    };
  };
  config = lib.mkIf cfg.enable {
    programs.micro = {
      enable = true;
      settings = {
        colorscheme = "atom-dark";
        wordwrap = true;
      };
    };
  };
}
