{
  lib,
  config,
  pkgs,
  ...
}:
let
  cfg = config.krop.hm.programs.tmux;
in
{
  options.krop.hm.programs.tmux = {
    enable = lib.mkOption {
      type = lib.types.bool;
      default = true;
      example = false;
      description = "Enable my tmux configuration";
    };
  };
  config = lib.mkIf cfg.enable {
    programs.tmux = {
      enable = true;
      mouse = true;
      terminal = "tmux-256color";
      plugins = with pkgs.tmuxPlugins; [
        yank
        sensible
      ];
      extraConfig = ''
        # Move status bar to top
        set -g status-position top

        # Indexing from 1 instead of 0
        set -g base-index 1
        set -g pane-base-index 1
        set-window-option -g pane-base-index 1
        set-option -g renumber-windows on
      '';
    };

  };
}
