{
  lib,
  config,
  ...
}:
let
  cfg = config.krop.hm.programs.zoxide;
in
{
  options.krop.hm.programs.zoxide = {
    enable = lib.mkOption {
      type = lib.types.bool;
      default = true;
      example = false;
      description = "Enable my zoxide configuration";
    };
  };
  config = lib.mkIf cfg.enable {
    programs.fzf = {
      enable = true;
    };

    programs.zoxide = {
      enable = true;
      options = [
        "--cmd cd"
      ];
    };
  };
}
