{
  config,
  pkgs,
  lib,
  ...
}:
let
  cfg = config.krop.de.plasma;
in
{
  options.krop.de.plasma = {
    enable = lib.mkOption {
      type = lib.types.bool;
      default = false;
      example = true;
      description = "Enable KDE plasma";
    };
  };
  config = lib.mkIf cfg.enable {
    services = {
      xserver.enable = true;
      displayManager.sddm.enable = true;
      displayManager.sddm.wayland.enable = true;
      desktopManager.plasma6.enable = true;
    };

    programs.partition-manager.enable = true;
    environment.systemPackages = with pkgs.kdePackages; [
      kalarm
    ];
  };
}
